Keystone-rest-definition
    • Company information data
      GET
    • Get trips data authorized at gate
      GET
    • Retrieve inspections by country code and plate number
      GET
    • Send inspection related to a trip
      POST
    • Send alert related to a trip
      POST
    • Get trips data authorized at gate
      GET
    • Login validation
      POST
    • Get the alerts by filters
      GET
    • Number of trucks per gate
      GET
    • Get all phases
      GET
    • Get current trip data
      GET
    • Get the driver traffic violation data
      GET
    • Get the driver tachograph data
      GET
    • Set loading data per trip
      POST
    • Get the truck inspection data
      GET
    • Get trips data scheduled to arrive at location within number of hours
      GET
    • Get trips data
      GET
    • Terminal information data
      GET
    • Get the driver license data
      GET
    • Get CMR data
      GET
    • Get eta
      GET
    • Get the truck insurance data
      GET
    • Get the truck owner data
      GET
    • Get unloading data per trip
      GET
    • Get the driver professional qualification certificate data
      GET
    • Schemas
      • Sample Schemas
        • Pet
        • Category
        • Tag
      • Schemas
        • company
        • tachograph
        • trafficViolationData
        • terminal
        • pdqc

      Send inspection related to a trip

      POST
      /inspections/upload/inspection

      Request

      Body Params application/json

      Examples

      Responses

      🟢200OK
      OK
      This response does not have a body.
      🔴500Server Error
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST '/inspections/upload/inspection' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "userId": "string",
          "tripId": "string",
          "submissionTime": "2024-01-01T12:30:00Z",
          "checkDetails": [
              {
                  "checkType": "DRIVING_LICENSE",
                  "invalidityReason": "string",
                  "comments": "string",
                  "invalidityConfirmed": true,
                  "payload": {
                      "textContent": "string",
                      "embeddedImages": [
                          {
                              "fileName": "string",
                              "fileType": "string",
                              "fileContent": "string"
                          }
                      ]
                  },
                  "location": {
                      "locationDescription": "string",
                      "latitude": 0,
                      "longitude": 0
                  },
                  "finalNote": "string"
              }
          ]
      }'
      Modified at 2025-07-25 11:19:52
      Previous
      Retrieve inspections by country code and plate number
      Next
      Send alert related to a trip
      Built with